#!/bin/bash
function parse() {
	sed -E 's@#!/bin/bash@@g;s/^/\t/g'
}

echo -n '#!/bin/bash
function bench() {'
cat bench.sh | parse
echo -n '}

function client() {'
cat client.sh | parse
echo -n '}

function server() {'
cat server.sh | parse
echo -n '}

function server_core() {'
cat server_core.sh | parse
echo -n '}

function _set() {'
cat set.sh | parse
echo -n '}

function _unset() {'
cat unset.sh | parse

echo '}
if [[ "$1" == "server_core" ]]; then
	server_core
elif [[ "$1" == "" ]]; then
	echo "usage: $0 <client|server|bench|set|unset> [params]"
elif [[ "$1" == "client" ]]; then
	client $2 $3 $4 $5 $6
elif [[ "$1" == "bench" ]]; then
	bench $2
elif [[ "$1" == "server" ]]; then
	server $2
elif [[ "$1" == "set" ]]; then
	_set
elif [[ "$1" == "unset" ]]; then
	_unset
fi'
