#!/bin/bash
if [[ "$1" == '' ]]; then
	if [[ "$0" != *"server.sh" ]]; then
		echo "usage: $0 server <port>"
	else
		echo "usage: $0 <port>"
	fi
	exit 1
fi

if [[ "$0" == *"server.sh" ]]; then
	ncat -k -l -p $1 -c "./server_core.sh"
else
	ncat -k -l -p $1 -c "$0 server_core"
fi
